<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

define('_IN_JOHNCMS', 1);

$headmod = 'friends';
$textl = 'Друзья';
require_once ("../incfiles/core.php");
if (!empty ($_SESSION['uid'])) {
    $textl = 'Мои друзья';

    if (!empty ($_GET['act'])) {
        $act = $_GET['act'];
    }
    switch ($act) {
        case "del" :

            require_once ("../incfiles/head.php");

            $adc = mysql_query("select * from `friends` where `user`='" . $user_id . "' and `to`='" . $id . "' limit 1;");
            $adc1 = mysql_num_rows($adc);

            if ($adc1) {
                $frnd = mysql_fetch_array($adc);
                $addc = mysql_query("select * from `users` where id='" . $id . "' limit 1;");
                $to = mysql_fetch_array($addc);
                mysql_query("delete from `friends` where `user`='" . $user_id . "' and `to`='" . $id . "' limit 1;");
                mysql_query("delete from `friends` where `user`='" . $id . "' and `to`='" . $user_id. "' limit 1;");
                if ($frnd['preg'])
                    mysql_query("INSERT INTO `privat` VALUES(0,'" . $to['name'] . "','Пользователь " . $login . ", удалил Вас из списка своих друзей.','" . $realtime . "','Система','in','no','Заявка на дружбу','0','','','','');");
                else
                    mysql_query("INSERT INTO `privat` VALUES(0,'" . $to['name'] . "','Пользователь " . $login . ", отклонил Вашу заявку на дружбу.','" . $realtime . "','Система','in','no','Заявка на дружбу','0','','','','');");
                echo "Логин удален из друзей<br/>";
            }
            else {
                echo "Данного логина нет в списке Ваших друзей<br/>";
            }
            echo '<div class="phdr"><a href="/str/friends.php">В список друзей</a></div>';

            break;

        case "add" :

            require_once ("../incfiles/head.php");

            $addc  = mysql_query("select * from `users` where `id`='" . $id . "' limit 1;");
            $addc1 = mysql_num_rows($addc);
            if ($addc1) {
                $to = mysql_fetch_array($addc);
                $adc = mysql_query("select * from `friends` where `user`='" . $user_id . "' and `to`='" . $id . "';");
                $adc1 = mysql_num_rows($adc);

                if (! $adc1) {
                    if (isset ($_POST['submit'])) {
                        $text = trim($_POST['text']);
                        $text = mb_substr($text, 0, 64);

                        mysql_query("INSERT INTO `friends` VALUES(0,'" . $user_id . "', '" . $id . "','', '" . $to['sex'] . "', '" . time() . "', '1');");
                        mysql_query("INSERT INTO `friends` VALUES(0,'" . $id . "', '" . $user_id . "','" . mysql_real_escape_string($text) . "', '" . $datauser['sex'] . "', '" . time() . "', '0');");
                        mysql_query("INSERT INTO `privat`  VALUES(0,'" . $to['name'] . "','У Вас новая заявка на дружбу от пользователя " . $login . ".','" . $realtime . "','Система','in','no','Заявка на дружбу','0','','','','');");
                        echo "Запрос на дружбу отправлен<br/>";
                    }
                    else {
                        echo '<div class="phdr"><b>Мои друзья</b>: заявка на дружбу</div>';
                        echo '<form action="friends.php?act=add&amp;id=' . $id . '" method="post"><div class="gmenu"><p>';
                        echo 'Комментарий:<br /><input type="text" name="text" /><br /><small>Макс. 64 символов</small><br />';
                        echo '</p><p><input type="submit" value="Подать" name="submit" />';
                        echo '</p></div></form>';
                    }
                }
                else {
                    echo "Данный логин уже есть в Ваших друзьях<br/>";
                }
            }
            else {
                echo "Данный логин отсутствует в базе данных<br/>";
            }
            echo '<div class="phdr"><a href="/str/friends.php">В список друзей</a></div>';

            break;

        case "accept" :

            require_once ("../incfiles/head.php");

            $addc  = mysql_query("select * from `users` where id='" . $id . "' limit 1;");
            $addc1 = mysql_num_rows($addc);
            if ($addc1) {
                $to = mysql_fetch_array($addc);
                $adc = mysql_query("select * from `friends` where user='" . $user_id . "' and to='" . $id . "' and `preg`='0' limit 1;");
                $adc1 = mysql_num_rows($adc);

                if ($addc1) {
                    mysql_query("UPDATE `friends` SET `preg` = '1' WHERE `user`='" . $user_id . "' and `to`='" . $id . "' LIMIT 1");
                    mysql_query("INSERT INTO `privat` values(0,'" . $to['name'] . "','Пользователь " . $login . ", подтвердил Вашу заявку на дружбу.','" . $realtime . "','Система','in','no','Заявка на дружбу','0','','','','');");
                    echo "Запрос на дружбу принят<br/>";
                }
                else {
                    echo "Данный логин уже есть в Ваших друзьях<br/>";
                }
            }
            else {
                echo "Данный логин отсутствует в базе данных<br/>";
            }
            echo '<div class="phdr"><a href="/str/friends.php">В список друзей</a></div>';

            break;

        case "new" :

            require_once ("../incfiles/head.php");

            echo '<div class="phdr"><a href="/str/friends.php"><b>Мои друзья</b></a> | заявки на дружбу</div>';
            $i = 1;
            $query = mysql_query("select * from `friends` where `user`='" . $user_id . "' and `preg`='0';");
            $count = mysql_num_rows($query);
            if ($count) {
                while ($mass = mysql_fetch_array($query)) {
                    $uz = mysql_query("select * from `users` where `id`='" . $mass['to'] . "';");
                    $mass1 = mysql_fetch_array($uz);
                    echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
                    if ($mass1['sex'])
                        echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($mass1['sex'] == 'm' ? 'm' : 'w') . ($mass1['datereg'] > $realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" align="middle" />&nbsp;';
                    else
                        echo '<img src="../images/del.png" width="12" height="12" align="middle" />&nbsp;';

                    echo '<a href="../str/anketa.php?id=' . $mass1['id'] . '">' . $mass1['name'] . '</a>';
                    $ontime = $mass1['lastdate'];
                    $ontime2 = $ontime + 300;
                    if ($realtime > $ontime2) {
                        echo '<font color="#FF0000"> [Off]</font>';
                    }
                    else {
                        echo '<font color="#00AA00"> [ON]</font>';
                    }
                    if ($mass['text'])
                        echo '<br/>' . checkout($mass['text'], 1, 1);
                    echo '<div class="sub">';
                    echo ' <a href="friends.php?act=accept&amp;id=' . $mass1['id'] . '">Принять</a> | ';
                    echo ' <a href="friends.php?act=del&amp;id=' . $mass1['id'] . '">Отклонить</a>';
                    echo '</div></div>';

                ++$i;
                }
            }
            else {
                echo '<div class="rmenu">Список пуст</div>';
            }
            echo '<div class="phdr"><a href="/str/friends.php">В список друзей</a></div>';

            break;

        default :
            if ($id && $id != $user_id) {
                $req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
                if (mysql_num_rows($req)) {
                    $res = mysql_fetch_assoc($req);
                    $textl = 'Друзья: ' . $res['name'];
                }
                else {
                    require_once ('../incfiles/head.php');
                    echo display_error('Такого пользователя не существует');
                    require_once ("../incfiles/end.php");
                    exit;
                }
 
                $user = $id;
            }
            else {
                $id = false;
                $user = $user_id;
                $textl = 'Мои друзья';
            }

            require_once ("../incfiles/head.php");

            if ($mod == 'm') {
                echo '<div class="phdr">' . ($id ? '<a href="/str/friends.php?id=' . $id . '"><b>Друзья ' . $res['name'] . '</b></a>' : '<a href="/str/friends.php"><b>Мои друзья</b></a>') . ' | Друзья</div>';
                $i = 1;
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user`='" . $user . "' and `preg`='1' AND `sex`='m'"), 0);
                $query = mysql_query("select * from `friends` where `user`='" . $user . "' and `preg`='1' AND `sex`='m' ORDER BY `id` DESC LIMIT " . $start . "," . $kmess);
                if ($count) {
                    while ($mass = mysql_fetch_array($query)) {
                        $uz = mysql_query("select * from `users` where `id`='" . $mass['to'] . "';");
                        $mass1 = mysql_fetch_array($uz);
                        echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
                        if ($mass1['sex']) {
                            echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($mass1['sex'] == 'm' ? 'm' : 'w') . ($mass1['datereg'] > $realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" align="middle" />&nbsp;';
                        }
                        else {
                            echo '<img src="../images/del.png" width="12" height="12" align="middle" />&nbsp;';
                        }

                        echo '<a href="../str/anketa.php?id=' . $mass1['id'] . '">' . $mass1['name'] . '</a>';
                        $ontime = $mass1['lastdate'];
                        $ontime2 = $ontime + 300;
                        if ($realtime > $ontime2) {
                            echo '<font color="#FF0000"> [Off]</font>';
                        }
                        else {
                            echo '<font color="#00AA00"> [ON]</font>';
                        }

                        if (! $id) {
                            echo ' [<a href="pradd.php?act=write&amp;adr=' . $mass1['id'] . '">л.с</a>]';
                            echo ' <a href="friends.php?act=del&amp;id=' . $mass1['id'] . '"><span class="red">[X]</span></a>';
                        }
                        
                        echo '</div>';

                        ++$i;
                    }

                    echo '<div class="phdr">Всего друзей: ' . $count . '</div>';
                    if ($count > $kmess) {
                        echo '<p>' . pagenav('friends.php?mod=m&amp;', $start, $count, $kmess) . '</p>';
                        echo '<p><form action="friends.php" method="get"><input type="hidden" name="mod" value="m"/><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p>';
                    }
                }
                else {
                    echo '<div class="rmenu">Список пуст</div>';
                }
            }
            else if ($mod == 'zh') {
                echo '<div class="phdr">' . ($id ? '<a href="/str/friends.php?id=' . $id . '"><b>Друзья ' . $res['name'] . '</b></a>' : '<a href="/str/friends.php"><b>Мои друзья</b></a>') . ' | Подруги</div>';
                $i = 1;
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user`='" . $user . "' and `preg`='1' AND `sex`='zh'"), 0);
                $query = mysql_query("select * from `friends` where `user`='" . $user . "' and `preg`='1' AND `sex`='zh' ORDER BY `id` DESC LIMIT " . $start . "," . $kmess);
                if ($count) {
                    while ($mass = mysql_fetch_array($query)) {
                        $uz = mysql_query("select * from `users` where `id`='" . $mass['to'] . "';");
                        $mass1 = mysql_fetch_array($uz);
                        echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
                        if ($mass1['sex']) {
                            echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($mass1['sex'] == 'm' ? 'm' : 'w') . ($mass1['datereg'] > $realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" align="middle" />&nbsp;';
                        }
                        else {
                            echo '<img src="../images/del.png" width="12" height="12" align="middle" />&nbsp;';
                        }

                        echo '<a href="../str/anketa.php?id=' . $mass1['id'] . '">' . $mass1['name'] . '</a>';
                        $ontime = $mass1['lastdate'];
                        $ontime2 = $ontime + 300;
                        if ($realtime > $ontime2) {
                            echo '<font color="#FF0000"> [Off]</font>';
                        }
                        else {
                            echo '<font color="#00AA00"> [ON]</font>';
                        }

                        if (! $id) {
                            echo ' [<a href="pradd.php?act=write&amp;adr=' . $mass1['id'] . '">л.с</a>]';
                            echo ' <a href="friends.php?act=del&amp;id=' . $mass1['id'] . '"><span class="red">[X]</span></a>';
                        }
                       
                        echo '</div>';

                        ++$i;
                    }

                    echo '<div class="phdr">Всего подруг: ' . $count . '</div>';
                    if ($count > $kmess) {
                        echo '<p>' . pagenav('friends.php?mod=zh&amp;', $start, $count, $kmess) . '</p>';
                        echo '<p><form action="friends.php" method="get"><input type="hidden" name="mod" value="zh"/><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></p>';
                    }
                }
                else {
                    echo '<div class="rmenu">Список пуст</div>';
                }
            }
            else {
                $f  = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user`='" . $user . "' AND `preg`='0';"), 0);
                $fm = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user`='" . $user . "' AND `preg`='1' AND `sex`='m';"), 0);
                $fw = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `user`='" . $user . "' AND `preg`='1' AND `sex`='zh';"), 0);

                echo '<div class="phdr">' . ($id ? '<b>Друзья ' . $res['name'] . '</b>' : '<b>Мои друзья</b>') . '</div>';
                echo '<div class="menu"><img src="../theme/' . $set_user['skin'] . '/images/m.png" width="16" height="16" align="middle" />&nbsp;<a href="/str/friends.php?mod=m' . ($id ? '&amp;id=' . $id : '') . '">Друзья</a>&nbsp;(' . $fm . ')</div>';
                echo '<div class="menu"><img src="../theme/' . $set_user['skin'] . '/images/w.png" width="16" height="16" align="middle" />&nbsp;<a href="/str/friends.php?mod=zh' . ($id ? '&amp;id=' . $id : '') . '">Подруги</a>&nbsp;(' . $fw . ')</div>';
                if ($id)
                    echo '<div class="phdr"><a href="/str/friends.php">В мой список друзей</a></div>';
                else
                    echo '<div class="phdr"><a href="/str/friends.php?act=new">Заявки на дружбу</a>&nbsp;(' . $f . ')</div>';
            }

            break;
    }
}

echo "<p><a href='../index.php?act=cab'>В кабинет</a></p>";
require_once ("../incfiles/end.php");

?>